#overlayRandom {
  position: fixed;
  top: 0;
  left: 0;
  width: 100%;
  height: 100%;
  background-color: var(--pr-midnight-opacity);
  z-index: 1000;
  display: none;
  justify-content: center;
  align-items: center;
}


#overlayCompanion {
  position: fixed;
  top: 0;
  left: 0;
  width: 100%;
  height: 100%;
  background-color: var(--pr-midnight-opacity);
  z-index: 1000;
  display: none;
  justify-content: center;
  align-items: center;
}

#overlay-content {
  padding: 2rem;
  text-align: center;
}

.popup-container {
  background: var(--te-gradient);
  border-radius: 20px;
  width: 100%;
  max-width: 800px;
  display: flex;
  flex-direction: column;

  margin-left: auto;
  margin-right: auto;
}

.popup {
  background: var(--pr-white);
  padding: 40px;
  border-radius: 20px;
  border: 2px solid #1d1d1d;
  /* 
      max-width: 500px;
      width: 100%;
 */
  position: relative;
  top: -10px;
  left: 10px;
  box-shadow: 0 10px 30px rgba(0, 0, 0, 0.2);
}

.asoverlay {
  background: var(--pr-nude);
}

.popup h2 {
  font-family: "PP Editorial New";
  font-style: normal;
  font-weight: 400;
  font-size: 22px;
  color: var(--pr-midnight);
  text-align: center;
  text-transform: uppercase;
  margin-bottom: 40px;
}

.popup h1 {
  font-family: "PP Editorial New";
  font-style: normal;
  font-weight: 400;
  font-size: 60px;
  line-height: 70px;
  color: var(--pr-midnight);
  text-align: center;
  margin: 0 0 20px;
}

.popup p {
  font-family: "Inter";
  font-style: normal;
  font-weight: 400;
  font-size: 22px;
  color: var(--pr-midnight);
  text-align: center;
  margin-bottom: 30px;
}

.popup .phone-input-wrapper {
  display: flex;
  border: 2px solid var(--pr-midnight);
  border-radius: 12px;
  overflow: hidden;
  height: 60px;
  margin-bottom: 30px;
}

.popup .country-code {
  background-color: #1c1c22;
  color: white;
  border: none;
  padding: 0 1.5rem;
  appearance: none;

  font-family: "Inter", sans-serif;
  font-weight: 400;
  font-size: 18px;
  line-height: 150%;
}

.popup .phone-input {
  flex: 1;
  border: none;
  padding: 0 1.5rem;
  outline: none;

  font-family: "Inter", sans-serif;
  font-weight: 400;
  font-size: 18px;
  line-height: 150%;
}


.popup .quick-match {
  background-color: #1c1c22;
  color: white;
  border: none;
  padding: 0 1.5rem;
  appearance: none;

  font-family: "Inter", sans-serif;
  font-weight: 400;
  font-size: 18px;
  line-height: 150%;
}

.popup .quick-match img {
	width:27px;
	height: 27px;
}

.popup .elegant {
font-family: 'PP Editorial New';
font-style: normal;
font-weight: 400;
font-size: 60px;
line-height: 70px;
}


.popup .body {
font-family: 'Inter';
font-style: normal;
font-weight: 400;
font-size: 22px;
line-height: 32px;
}

.popup .pclose {
background: transparent;
border: none;
}

/* 
.popup .phone-input {
  display: flex;
  gap: 10px;
  margin-bottom: 20px;
}
 */

/* 
.popup select,
input[type="text"] {
  padding: 12px;
  font-size: 1rem;
  border: 1px solid #ccc;
  border-radius: 6px;
  flex: 1;
}
 */

.popup .companion-buttons-popup {
  display: flex;
  margin-bottom: 20px;
}

.popup .companion-buttons-popup button {
  flex: 1;
  padding: 12px;
  font-size: 1rem;
  border: 1px solid #000;
  background: #fff;
  cursor: pointer;
}

.popup .companion-buttons-popup button.active {
  background: #000;
  color: #fff;
}

.popup .companion-buttons-popup button:first-child {
  border-top-left-radius: 5px;
  border-bottom-left-radius: 5px;
}

.popup .companion-buttons-popup button:last-child {
  border-top-right-radius: 5px;
  border-bottom-right-radius: 5px;
}

.popup .companion-buttons-popup button {
  border-radius: 0; /* remove radius from middle buttons */
}

.popup .login-row {
  margin-top: 33px;
  display: flex;
  /*   justify-content: space-between; */
  align-items: center;
  gap: 33px;
  width: 100%;
  max-width: 800px;
}

.popup .login-row a[href="/login"] {
  text-decoration: underline;
  text-underline-offset: 8px;
  color: var(--pr-midnight);
  font-family: "Inter", sans-serif;
  font-weight: 400;
  font-size: 18px;
  line-height: 150%;
}

.popup .cta {
  background: #000;
  color: white;
  padding: 16px;
  border: none;
  border-radius: 30px;
  font-size: 1rem;
  cursor: pointer;
  width: 350px;
}

.popup .login-link {
  text-align: center;
  margin-top: 10px;
  font-size: 0.9rem;
}

.popup .login-link a {
  color: #000;
  text-decoration: underline;
}

.popup .close {
  position: absolute;
  top: 20px;
  right: 20px;
  cursor: pointer;
}

.popup .badge1 {
  position: absolute;
  top: 50px;
  left: -30px;
}

.popup .badge2 {
  position: absolute;
  top: 240px;
  right: -200px;
}

.popup .sent {
	color: var(--pr-nude);
	padding: 1rem;
	margin-top: 1rem;
	margin-bottom: 1rem;
	text-align: center;
	background: var(--se-purple);
	border-radius: 26px;
	font-family: 'PP Editorial New';
	font-style: normal;
	font-weight: 400;
	font-size: 28px;
	line-height: 36px;
}

.popup .createcontainer {
display: flex;
  align-items: center;
  justify-content: center;
}

.popup .create {
	background: var(--pr-midnight);
	color: var(--pr-nude);
	font-family: 'Inter', sans-serif;
	font-style: normal;
	font-weight: 700;
	font-size: 18px;
	line-height: 150%;
	border-radius: 100px;
	padding: 1rem;
	text-decoration: none;
	max-width: 200px;
}


.pane {
  display: flex;
  justify-content: space-between;
  align-items: flex-start; /* or center if you want vertical centering */
}

.pane .left {
flex: 1;  
}

.pane .profileImage {
width: 300px;
}

.pane .right {
flex: 1;
}
